function [ZUO,PuKo]=BeamTruss(h,b,anzb,anzh)

%Creates the PuKo matrix, i.e. it determines the coordinates of each node
y=0;
n=1;

%node arrangement
%3 4
%1 2

Numberx=anzb+1;  %number of points in x-direction
Numbery=anzh+1;  %number of points in y-direction
for i=1:Numbery
    x=0;
    for j=1:Numberx
        PuKo(n,:)=[n x y];
        x=x+b/(Numberx-1);
        n=n+1;
    end
    y=y+h/(Numbery-1);
end
%allocation matrix
Zahler=1;
for i=1:Numbery
    for j=1:Numberx-1
        ZUO(Zahler,:)=[Zahler (i-1)*(Numberx)+j (i-1)*(Numberx)+j+1];
        Zahler=Zahler+1;
    end
end
for i=1:Numbery-1
    for j=1:Numberx
        ZUO(Zahler,:)=[Zahler (i-1)*(Numberx)+j (i)*(Numberx)+j];
        Zahler=Zahler+1;
    end
end
for i=1:Numberx-1
    for j=1:Numbery-1
        ZUO(Zahler,:)=[Zahler (j-1)*Numberx+i (j)*Numberx+i+1];
        Zahler=Zahler+1;
    end
end
for i=1:Numberx-1
    for j=1:Numbery-1
        ZUO(Zahler,:)=[Zahler (j-1)*Numberx+i+1 (j)*Numberx+i];
        Zahler=Zahler+1;
    end
end